Subject: RE: Console Resizer
From: Stephan Mueller <[email-masked]>
To: "'Charles S. Wilson'" <[email-masked]>, John Buffington <[email-masked]>
Cc: [email-masked]
Date: Mon, 18 Oct 1999 23:02:50 -0700

Why not have a desktop shortcut that points directly at bash.exe.  If you
want to do intialization stuff, put it in the bash initialization file of
your choice (e.g. .profile)?

stephan();

-----Original Message-----
From: Charles S. Wilson [mailto:[email-masked]]
Sent: Monday, October 18, 1999 11:02 PM
To: John Buffington
Cc: [email-masked]
Subject: Re: Console Resizer

Well, I have noticed the following:

*If* bash is started from within a pre-existing command.com window, then
resizing doesn't work. Normally, though, you don't start a command.com
session, do dos-stuff, then type 'bash' and do bash-stuff. However,
often you do start bash from a batchfile. Double-clicking the batch file
starts an instance of command.com, which executes the batch file. The
batch file then "does dos-stuff" and then executes 'bash'.

Conclusion, although I have not tested it: If you start bash from a
batch file (such as cygnus.bat) then resizing the console doesn't work.
My idea for a fix is, rather than using a batch file to set environment
vars and then start bash, is to use a wscript. "Windows Scripting Host"
is installed with IE5 and is part of Win98/NT2000. Here's an (untested)
attempt:

----bash.vbs----
Set WshShell = Wscript.CreateObject("Wscript.Shell")
Set WshNetwork = WScript.CreateObject("WScript.Network")
Set WshProcEnv = WshShell.Environment("PROCESS")
Set objArgs = Wscript.Arguments
WshProcEnv.Item("HOME") = "c:\users\" & WshNetwork.UserName
WshProcEnv.Item("CYGWIN") = "tty binmode ntea"
If objArgs.Count < 1 then
        WshShell.Run ("c:\Dos\Style\Path\To\bash.exe")
Else
	Set objArgStr = ""
	For I = 0 to objArgs.Count - 1
		Set objArgStr = objArgStr & " " & objArgs(I)
	Next
        WshShell.Run ("c:\Dos\Style\Path\To\bash.exe " & objArgStr)
End If
------end------

--Chuck

John Buffington wrote:
> 
> I'm using cygwin 20.1 with Windows 98.
> My attempts to use your console resizer
> (I called it "resizeconsole") have had no
> effect on my bash window when executed
> from the bash command line. Am I missing
> something?
> 
> "No matter where you go, there you are." ......... Buckaroo Banzai
> 
> mailto:[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]